#############################################################
#               Streaming Service Collections               #
#         Created by Yozora, Bullmoose20, & Sohjiro         #
#############################################################
#  Call this from your config.yml (Movie or Show)           #
#  If nothing is specified these are the defaults           #
#                                                           #
#    metadata_path:                                         #
#      - git: PMM/streaming                                 #
#        template_variables:                                #
#          # Turn the separator collection on/off           #
#          use_separator: true                              #
#          # Sets how the collection is sorted              #
#          sort_by: release.desc                            #
#          # Sets the collection mode of the collection     #
#          collection_mode:                                 #
#          # Sets the value at the start of the sort title  #
#          collection_section: "03"                         #
#                                                           #
#          # Turn the All 4 collection on/off               #
#          use_all4: true                                   #
#          # Set visible_library for All 4                  #
#          visible_library_all4: true                       #
#          # Set visible_home for All 4                     #
#          visible_home_all4: true                          #
#          # Set visible_shared for All 4                   #
#          visible_shared_all4: true                        #
#                                                           #
#          # Turn the Apple TV+ collection on/off           #
#          use_appletv: true                                #
#          # Set visible_library for Apple TV+              #
#          visible_library_appletv: true                    #
#          # Set visible_home for Apple TV+                 #
#          visible_home_appletv: true                       #
#          # Set visible_shared for Apple TV+               #
#          visible_shared_appletv: true                     #
#                                                           #
#          # Turn the BET+ collection on/off                #
#          use_bet: true                                    #
#          # Set visible_library for BET+                   #
#          visible_library_bet: true                        #
#          # Set visible_home for BET+                      #
#          visible_home_bet: true                           #
#          # Set visible_shared for BET+                    #
#          visible_shared_bet: true                         #
#                                                           #
#          # Turn the BritBox collection on/off             #
#          use_britbox: true                                #
#          # Set visible_library for BritBox                #
#          visible_library_britbox: true                    #
#          # Set visible_home for BritBox                   #
#          visible_home_britbox: true                       #
#          # Set visible_shared for BritBox                 #
#          visible_shared_britbox: true                     #
#                                                           #
#          # Turn the Disney+ collection on/off             #
#          use_disney: true                                 #
#          # Set visible_library for Disney+                #
#          visible_library_disney: true                     #
#          # Set visible_home for Disney+                   #
#          visible_home_disney: true                        #
#          # Set visible_shared for Disney+                 #
#          visible_shared_disney: true                      #
#                                                           #
#          # Turn the hayu collection on/off                #
#          use_haya: true                                   #
#          # Set visible_library for hayu                   #
#          visible_library_hayu: true                       #
#          # Set visible_home for hayu                      #
#          visible_home_hayu: true                          #
#          # Set visible_shared for hayu                    #
#          visible_shared_hayu: true                        #
#                                                           #
#          # Turn the HBO Max collection on/off             #
#          use_hbomax: true                                 #
#          # Set visible_library for HBO Max                #
#          visible_library_hbomax: true                     #
#          # Set visible_home for HBO Max                   #
#          visible_home_hbomax: true                        #
#          # Set visible_shared for HBO Max                 #
#          visible_shared_hbomax: true                      #
#                                                           #
#          # Turn the Hulu collection on/off                #
#          use_hulu: true                                   #
#          # Set visible_library for Hulu                   #
#          visible_library_hulu: true                       #
#          # Set visible_home for Hulu                      #
#          visible_home_hulu: true                          #
#          # Set visible_shared for Hulu                    #
#          visible_shared_hulu: true                        #
#                                                           #
#          # Turn the Netflix collection on/off             #
#          use_netflix: true                                #
#          # Set visible_library for Netflix                #
#          visible_library_netflix: true                    #
#          # Set visible_home for Netflix                   #
#          visible_home_netflix: true                       #
#          # Set visible_shared for Netflix                 #
#          visible_shared_netflix: true                     #
#                                                           #
#          # Turn the NOW collection on/off                 #
#          use_now: true                                    #
#          # Set visible_library for NOW                    #
#          visible_library_now: true                        #
#          # Set visible_home for NOW                       #
#          visible_home_now: true                           #
#          # Set visible_shared for NOW                     #
#          visible_shared_now: true                         #
#                                                           #
#          # Turn the Paramount+ collection on/off          #
#          use_paramount: true                              #
#          # Set visible_library for Paramount+             #
#          visible_library_paramount: true                  #
#          # Set visible_home for Paramount+                #
#          visible_home_paramount: true                     #
#          # Set visible_shared for Paramount+              #
#          visible_shared_paramount: true                   #
#                                                           #
#          # Turn the Peacock collection on/off             #
#          use_peacock: true                                #
#          # Set visible_library for Peacock                #
#          visible_library_peacock: true                    #
#          # Set visible_home for Peacock                   #
#          visible_home_peacock: true                       #
#          # Set visible_shared for Peacock                 #
#          visible_shared_peacock: true                     #
#                                                           #
#          # Turn the Prime Video collection on/off         #
#          use_amazon: true                                 #
#          # Set visible_library for Prime Video            #
#          visible_library_amazon: true                     #
#          # Set visible_home for Prime Video               #
#          visible_home_amazon: true                        #
#          # Set visible_shared for Prime Video             #
#          visible_shared_amazon: true                      #
#############################################################

external_templates:
  git: PMM/templates
  template_variables:
    collection_section: "03"

templates:
  streaming:
    default:
      sort_by: release.desc
      key: <<collection_name>>
    optional:
      - use
      - use_<<key>>
      - visible_library_<<key>>
      - visible_home_<<key>>
      - visible_shared_<<key>>
    allowed_library_types:
      - <<use_<<key>>>>
      - <<use>>
    visible_library: <<visible_library_<<key>>>>
    visible_home: <<visible_home_<<key>>>>
    visible_shared: <<visible_shared_<<key>>>>
    cache_builders: 1
    smart_label: <<sort_by>>
    sync_mode: sync
    mdblist_list: https://mdblist.com/lists/plexmetamanager/<<key>>-<<library_type>>s
    url_poster: https://raw.githubusercontent.com/meisnate12/Plex-Meta-Manager-Images/master/streaming/<<key_name_encoded>>.jpg

collections:
  Streaming Collections:
    template:
      - name: separator
        separator: streaming

dynamic_collections:
  Streaming:
    type: custom
    data:
      all4: All 4
      appletv: Apple TV+
      bet: BET+
      britbox: BritBox
      disney: Disney+
      hayu: hayu
      hbomax: HBO Max
      hulu: Hulu
      netflix: Netflix
      now: NOW
      paramount: Paramount+
      peacock: Peacock
      amazon: Prime Video
    title_format: <<key_name>> <<library_type>>s
    template_variables:
      use:
        hayu: show
    template:
      - streaming
      - shared
